> For the complete documentation index, see [llms.txt](https://docs.specifyapp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specifyapp.com/v1/advanced-repository/templates.md).

# Templates

## Ready-to-use configuration templates for your next project

This section will help you get started with ready-to-use configuration template. Each configuration file will be filled by one or several rules, called parsers.&#x20;

Parsers are functions allowing you to transform design tokens and assets coming from Specify to fit your needs and company standards.

{% hint style="info" %}
Make sure to read the [Configuration section](/v1/advanced-repository/cli.md) to better understand how configuration file works with Specify.
{% endhint %}

<table><thead><tr><th width="232">Template</th><th>Description </th></tr></thead><tbody><tr><td><a href="/pages/kNzK0dH0y93imLDTNdEG">CSS Custom Properties</a></td><td>This template is dedicated for Web developers using CSS. It helps you generate all types of design tokens as CSS Custom Properties in their respective CSS file.</td></tr><tr><td><a href="/pages/1HSOb5UIo1xd3oal1ohZ">SDTF</a></td><td>This template helps you pull your design tokens in the SDTF format in a JSON file.</td></tr><tr><td><a href="/pages/GiV49iFdXodJV1SAXbx3">Tailwind</a></td><td>This template helps you generate your design tokens as a Tailwind theme.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specifyapp.com/v1/advanced-repository/templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
